Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/dia25h.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/dia25h.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/dia25h.F90	(revision 10288)
@@ -33,6 +33,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -139,6 +139,6 @@
       ! -----------------
       ! Define frequency of summing to create 25 h mean
-      IF( MOD( 3600,INT(rdt) ) == 0 ) THEN
-         i_steps = 3600/INT(rdt)
+      IF( MOD( 3600,NINT(rdt) ) == 0 ) THEN
+         i_steps = 3600/NINT(rdt)
       ELSE
          CALL ctl_stop('STOP', 'dia_wri_tide: timestep must give MOD(3600,rdt) = 0 otherwise no hourly values are possible')
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaar5.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaar5.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaar5.F90	(revision 10288)
@@ -43,5 +43,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diacfl.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diacfl.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diacfl.F90	(revision 10288)
@@ -39,7 +39,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diadct.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diadct.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diadct.F90	(revision 10288)
@@ -100,5 +100,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -1249,8 +1249,10 @@
 
    SUBROUTINE dia_dct_init          ! Dummy routine
-      WRITE(*,*) 'dia_dct_init: You should not have seen this print! error?', kt
+      IMPLICIT NONE
+      WRITE(*,*) 'dia_dct_init: You should not have seen this print! error?'
    END SUBROUTINE dia_dct_init
 
    SUBROUTINE dia_dct( kt )         ! Dummy routine
+      IMPLICIT NONE
       INTEGER, INTENT( in ) :: kt   ! ocean time-step index
       WRITE(*,*) 'dia_dct: You should not have seen this print! error?', kt
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaharm.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaharm.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaharm.F90	(revision 10288)
@@ -57,5 +57,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diahsb.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diahsb.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diahsb.F90	(revision 10288)
@@ -54,5 +54,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diahth.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diahth.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diahth.F90	(revision 10288)
@@ -43,5 +43,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -343,4 +343,6 @@
 CONTAINS
    SUBROUTINE dia_hth( kt )         ! Empty routine
+      IMPLICIT NONE
+      INTEGER, INTENT( in ) :: kt
       WRITE(*,*) 'dia_hth: You should not have seen this print! error?', kt
    END SUBROUTINE dia_hth
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/dianam.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/dianam.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/dianam.F90	(revision 10288)
@@ -25,5 +25,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaptr.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaptr.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diaptr.F90	(revision 10288)
@@ -67,5 +67,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diatmb.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diatmb.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diatmb.F90	(revision 10288)
@@ -22,6 +22,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diawri.F90
===================================================================
--- NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diawri.F90	(revision 9871)
+++ NEMO/branches/2018/dev_r9866_HPC_03_globcom/src/OCE/DIA/diawri.F90	(revision 10288)
@@ -81,5 +81,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -125,6 +125,6 @@
       ! Output of initial vertical scale factor
       CALL iom_put("e3t_0", e3t_0(:,:,:) )
-      CALL iom_put("e3u_0", e3t_0(:,:,:) )
-      CALL iom_put("e3v_0", e3t_0(:,:,:) )
+      CALL iom_put("e3u_0", e3u_0(:,:,:) )
+      CALL iom_put("e3v_0", e3v_0(:,:,:) )
       !
       CALL iom_put( "e3t" , e3t_n(:,:,:) )
